

/**
 * Created by rockyl on 2020-01-09.
 */

import GameView from "./GameView";

export class GameWrapper extends engine.Container {
	private _gameView: GameView;

	constructor() {
		super();

		engine.globalEvent.addEventListener('dxbcyj-game-start', this.start, this);

		let gameView = this._gameView = new GameView();
		this.addChild(gameView);

		//this.once(engine.Event.ENTER_FRAME, this.onAddedToStage, this);
	}

	start(event: engine.Event) {
		this._gameView.start(event.data.guide);
	}
}
